Subject: Re: [Potential Spoof] Re: QPACK ordering guarantee?

From: Alan Frindell <[email-masked]>
Date: Fri, 17 Aug 2018 23:18:16 +0000

I filed #1684 to track this.

On 8/17/18, 7:49 AM, "QUIC on behalf of Roberto Peon" <[email-masked] on behalf of [email-masked]> wrote:

    Great catch!
    
    I suspect we should be saying something along the lines of:
      The ordering within a header list MUST be maintained, while the ordering between headers lists and header blocks MAY NOT be.
    
    -=R
    
    On 8/17/18, 7:33 AM, "QUIC on behalf of Dmitri Tikhonov" <[email-masked] on behalf of [email-masked]> wrote:
    
        On Fri, Aug 17, 2018 at 10:18:38AM -0400, Bence Béky wrote:
        > I propose to add language on the requirement to preserve order, and to
        > use the expression "header list" instead of "header set" throughout.
        > The clause "header list ... can contain duplicate header fields"
        > should probably also be included.
        
        I support this change.
        
        In addition, the "full collection" aspect is not quite correct:
        
           Header set:  The full collection of headers associated with an HTTP
              message.
        
           Header block:  The compressed representation of a header set.
        
        Since there may be more than one header block associated with
        an HTTP message, a single "header set" does not always contain
        the full collection of headers.
        
          - Dmitri.